Name:          libuninameslist
Version:       20221022
Release:       1mamba
Summary:       A Library of Unicode annotation data
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://formulae.brew.sh/formula/libuninameslist
Source:        https://github.com/fontforge/libuninameslist.git/%{version}/libuninameslist-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
The Unicode consortium provides a file containing annotations on many unicode characters. This library contains a compiled version of this file so that programs can access these data easily. The library contains a very large (sparse) array with one entry for each unicode code point (U+0000 - U+10FFFF). Each entry contains two strings, a name and an annotation. Either or both may be NULL. The library also contains a (much smaller) list of all the Unicode blocks.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{version}

%description devel
The Unicode consortium provides a file containing annotations on many unicode characters. This library contains a compiled version of this file so that programs can access these data easily.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q
autoreconf -f -i
automake

%build
%configure \
   --enable-frenchlib

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libuninameslist.so.*
%{_libdir}/libuninameslist-fr.so.*
%doc COPYING LICENSE

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libuninameslist.a
%{_libdir}/libuninameslist.so
%{_libdir}/libuninameslist-fr.a
%{_libdir}/libuninameslist-fr.so
%{_libdir}/pkgconfig/libuninameslist.pc
%{_mandir}/man3/libuninameslist.3*
%{_mandir}/man3/libuninameslist-fr.3*

%changelog
* Thu Oct 27 2022 Automatic Build System <autodist@mambasoft.it> 20221022-1mamba
- automatic version update by autodist

* Fri Jul 08 2022 Automatic Build System <autodist@mambasoft.it> 20220701-1mamba
- automatic version update by autodist

* Mon Nov 15 2021 Automatic Build System <autodist@mambasoft.it> 20211114-1mamba
- automatic version update by autodist

* Sun Sep 19 2021 Automatic Build System <autodist@mambasoft.it> 20210917-1mamba
- automatic version update by autodist

* Tue Jun 29 2021 Automatic Build System <autodist@mambasoft.it> 20210626-1mamba
- automatic version update by autodist

* Sun Dec 06 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20200413-2mamba
- rebuilt with --enable-frenchlib

* Mon Sep 07 2020 Automatic Build System <autodist@mambasoft.it> 20200413-1mamba
- automatic version update by autodist

* Fri May 07 2010 Automatic Build System <autodist@mambasoft.it> 20091231-1mamba
- automatic update by autodist

* Mon Jun 23 2008 Tiziana Ferro <tiziana.ferro@email.it> 20080409-1mamba
- update to 20080409
- remove old patch 040707

* Wed Apr 02 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 20060907-1mamba
- update to 20060907

* Thu Dec 09 2004 Davide Madrisan <davide.madrisan@qilinux.it> 040707-1qilnx
- package created by autospec
